#include "Data.h"
#include <assert.h>

Data::Data():
	iChannelCount(0),
	bFrameFilled(false),
	fOscDivX(0.001f),
	fRecorderInterval(1.0f)
{
}

void Data::SetChannelCount(int ch_count)
{
	struct Channel channel;
	channels.clear();
	assert(ch_count >= 1);
	for (int i = 0; i < ch_count; i++)
	{
    	channels.push_back(channel);
	}
	iChannelCount = ch_count;
}

unsigned int Data::GetEnabledChannelCount(void) const
{
	unsigned int cnt = 0;
	for (int i=0; i<iChannelCount; i++)
	{
		if (channels[i].bEnabled == true)
			cnt++;
	}
	return cnt;
}

struct Data::Channel& Data::getEnabledChannel(void)
{
	for (int i=0; i<iChannelCount; i++)
	{
		if (channels[i].bEnabled == true)
			return channels[i];
	}
	assert(!"At least one channel must be enabled");
	return channels[0];
}

const struct Data::Channel& Data::getEnabledChannelConst(void) const
{
	for (int i=0; i<iChannelCount; i++)
	{
		if (channels[i].bEnabled == true)
			return channels[i];
	}
	assert(!"At least one channel must be enabled");
	return channels[0];
}

